Bug 392981 - Review Request: xfce4-modemlights-plugin - Modemlights for the Xfce panel
Summary: Review Request: xfce4-modemlights-plugin - Modemlights for the Xfce panel
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 173548
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-20 20:25 UTC by Christoph Wickert
Modified: 2014-09-23 12:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 14:39:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2007-11-20 20:25:02 UTC
Spec URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-modemlights-plugin.spec
SRPM URL: http://home.arcor.de/christoph.wickert/fedora/review/xfce4-modemlights-plugin-0.1.3.99-1.fc9.src.rpm
Description: A Xfce4 panel applet intended to simplify establishing a ppp connection via a modem.

Comment 1 Christoph Wickert 2007-11-20 20:28:44 UTC
Note: This is a re-review. xfce4-modemlights-plugin hasn't been ported to Xfce
4.4 before, so I orphaned my Xfce 4.2 package after FC-5. The original review
was bug #173548

Comment 2 Kevin Fenzi 2007-11-21 03:14:40 UTC
I'd be happy to review this. Look for a full review in a few. 


Comment 3 Kevin Fenzi 2007-11-21 03:39:04 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
aeab49c57bdaeb12a73486515aae50cd  xfce4-modemlights-plugin-0.1.3.99.tar.bz2
aeab49c57bdaeb12a73486515aae50cd  xfce4-modemlights-plugin-0.1.3.99.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Spec handles locales/find_lang
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
See below - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Wouldn't a better URL be:
http://goodies.xfce.org/projects/panel-plugins/xfce4-modemlights-plugin

The Source0 URL seems to be:
http://goodies.xfce.org/releases/xfce4-modemlights-plugin/xfce4-modemlights-plugin-0.1.3.99.tar.bz2

2. rpmlint says:

xfce4-modemlights-plugin.src:65: W: macro-in-%changelog defattr

Might need a %% there to escape that word from macro expansion.

3. Should this 'Requires: ppp' ? Or is it useful without ppp?



Comment 4 Christoph Wickert 2007-11-21 10:45:27 UTC
(In reply to comment #3)
> 
> Issues:
> 
> 1. Wouldn't a better URL be:
> http://goodies.xfce.org/projects/panel-plugins/xfce4-modemlights-plugin
> 
> The Source0 URL seems to be:
>
http://goodies.xfce.org/releases/xfce4-modemlights-plugin/xfce4-modemlights-plugin-0.1.3.99.tar.bz2
> 
> 2. rpmlint says:
> 
> xfce4-modemlights-plugin.src:65: W: macro-in-%changelog defattr
> 
> Might need a %% there to escape that word from macro expansion.

All valid points, seems like I missed some errors when I reworked the spec.

> 
> 3. Should this 'Requires: ppp' ? Or is it useful without ppp?
> 
I have patched the plugin to use ifup/ifdown by default, so theoretically it can
be used for ethernet or wireless devices too, but I guess no one will do that.
So I require ppp now.

SPEC:
http://home.arcor.de/christoph.wickert/fedora/review/xfce4-modemlights-plugin.spec
SRPM:
http://home.arcor.de/christoph.wickert/fedora/review/xfce4-modemlights-plugin-0.1.3.99-2.fc9.src.rpm

Comment 5 Kevin Fenzi 2007-11-21 17:04:16 UTC
Looks all good. This package is APPROVED. 

I will need to remove the Provides in xfce4-panel before it can come in... 
can wait and do that with the upcoming 4.4.2 release, or before if you prefer. 


Comment 6 Christoph Wickert 2007-11-21 19:24:19 UTC
I'll wait until your Xfce 4.4.2 panel arrives.

Package Change Request
======================
Package Name: xfce4-modemlights-plugin
New Branches: FC-6 F-7 F-8
Updated Description: Modemlights for the Xfce panel
("Xfce" was upper case before)

Comment 7 Kevin Fenzi 2007-11-22 19:56:48 UTC
cvs done... except for FC-6. We are no longer allowing FC-6 branches. ;( 


Comment 8 Christoph Wickert 2007-11-22 20:25:19 UTC
Ok, I see, but can't we make an exception for this package? I think it would
really be bad to have modemlights in FC <= 5, not in FC6 and then in F >= 7 again.

Comment 9 Kevin Fenzi 2007-11-29 19:29:11 UTC
Doesn't look like an exception is going to happen. ;( 

I guess this will just be missing in FC-6. Sorry. 

Comment 10 Christoph Wickert 2007-12-15 14:39:47 UTC
Package is now in the repo, at least for > F-7. Closing.

Comment 11 Mukundan Ragavan 2014-09-23 01:07:12 UTC
Package Change Request
======================
Package Name:  xfce4-modemlights-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc

Comment 12 Gwyn Ciesla 2014-09-23 12:08:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.